@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";

:host {
  display: block;
  -webkit-appearance: none;
}

.btn {
  @include btn-default();

  padding: 0 1.5em;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 60px;
  font-family: var(--font-title);
  font-size: 13px;
  line-height: 1;
  text-transform: uppercase;
  color: $black-color;
  text-decoration: none;
  background-color: var(--yellow-color);
  border: 2px solid var(--white-color);
  //border-radius: $border-radius;
  box-sizing: border-box;
  transition: background-color 0.15s ease-in;
  cursor: pointer;


  &:disabled {
    //background-color: $gray-light-color--up-5 !important;
    //color: $gray-color--down-11 !important;
    opacity: 0.2;
    cursor: not-allowed !important;
  }

  @include hover {
    &:not(:disabled) {
      background-color: lighten($yellow-color, 10%);
    }
  }

  @include focus {
    outline: none;
  }

  &--clear {
    padding: 0;
    background: none;
    border: none;
    transition: unset;
    height: auto;

    @include hover() {
      &:not(:disabled) {
        background-color: transparent;
      }
    }

    @include active() {
      &:not(:disabled) {
        background-color: transparent;
      }
    }
  }

  &--help {
    @extend .btn--clear;

     ::ng-deep svg {
      --circle-color: #F2F2F2;
      --circle-bg-color: none;
      --question-color: #999999;

      @include hover {
        --circle-color: #FFDC00;
        --circle-bg-color: #FFDC00;
        --question-color: #000000;
      }
    }
  }

  &--black {
    background-color: $black-color;

    @include hover {
      &:not(:disabled) {
        background-color: #333333;
      }
    }
  }

  &--white {
    background-color: $white-color;
    border-color: $gray-light-color;
  }

  &--lg {
    //padding-top: 0.85em;
    //padding-bottom: 0.85em;
    font-size: 18px;
  }

  &--w-auto {
    width: auto;
  }

  &--w-300 {
    min-width: 300px;
  }

  &--w-270 {
    min-width: 270px;
  }

  &--max-w-270 {
    max-width: 270px;
  }

  &--sm-max-w-270 {
    @include media-breakpoint-up(sm) {
      max-width: 270px;
    }
  }

  &--md-max-w-270 {
    @include media-breakpoint-up(md) {
      max-width: 270px;
    }
  }

  &--lg-max-w-270 {
    @include media-breakpoint-up(lg) {
      max-width: 270px;
    }
  }

  &--xl-max-w-270 {
    @include media-breakpoint-up(lg) {
      max-width: 270px;
    }
  }

  &--w-full {
    width: 100%;
    max-width: 100%;
  }

  &--sm-w-full {
    @include media-breakpoint-up(sm) {
      width: 100%;
      max-width: 100%;
    }
  }

  &--md-w-full {
    @include media-breakpoint-up(md) {
      width: 100%;
      max-width: 100%;
    }
  }

  &--lg-w-full {
    @include media-breakpoint-up(lg) {
      width: 100%;
      max-width: 100%;
    }
  }

  &--xl-w-full {
    @include media-breakpoint-up(lg) {
      width: 100%;
      max-width: 100%;
    }
  }

  &--max-w-300 {
    max-width: 300px;
  }

  &--sm-max-w-300 {
    @include media-breakpoint-up(sm) {
      max-width: 300px;
    }
  }

  &--md-max-w-300 {
    @include media-breakpoint-up(md) {
      max-width: 300px;
    }
  }

  &--lg-max-w-300 {
    @include media-breakpoint-up(lg) {
      max-width: 300px;
    }
  }

  &--xl-max-w-300 {
    @include media-breakpoint-up(lg) {
      max-width: 300px;
    }
  }

  &--checkbox-action {
    @extend .btn--clear;

    width: unset;
    height: unset;
    font-size: 10px;
    color: $red-color;

    @include hover {
      &:not(:disabled) {
        color: rgba($red-color, 0.8);
      }
    }
  }

  &--delete {
    @extend .btn--clear;

    margin-top: auto;
    margin-bottom: auto;
    padding: 0;
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: 400;
    color: $red-color;
    text-align: left;

    @include hover {
      color: lighten($red-color, 15%);
    }
  }

   &--delete ::ng-deep svg {
    --stroke-color: #C74141;
    --fill-color: none;
  }

  &--delete:hover ::ng-deep svg {
    --stroke-color: #FFFFFF;
    --fill-color: #C74141;
  }

  &--back {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 16px;
    line-height: 1.4;
    color: #333333;
    background-color: lighten($gray-light-color, 5%);

    @include active {
      background-color: $gray-color;
    }

    @include hover {
      &:not(:disabled) {
        background-color: $gray-light-color;
      }
    }
  }

  &--back span {
    display: block;
    margin-left: 20px;
  }

  .data-list + & {
    margin-top: 30px;
  }

  &__text {
    font-family: var(--font-text);
    font-weight: 500;
    text-align: center;
    color: var(--white-color);

    ::ng-deep .btn > app-icon ~ & {
      margin-left: 5px;
    }

    .btn--black & {
      color: $white-color;
    }
  }
}
